# -*- coding:utf-8 -*-
# Set jumper JP1 to M (Manual dir control)

import serial
import RPi.GPIO as GPIO

GPIO.setmode(GPIO.BCM)
GPIO.setwarnings(False)

DIR_485 = 18
GPIO.setup(DIR_485,GPIO.OUT)
GPIO.output(DIR_485,GPIO.LOW)	# Direction to receive

#rs485 = serial.Serial ("/dev/ttyAMA0",9600,timeout=1)	# For Pi 2
rs485 = serial.Serial ("/dev/ttyS0",9600,timeout=1)

print("Test RS485 receive(manual dir)")
print("Press CTRL-C to exit")

try:
	while True:
		data = rs485.readline()  
		if len(data) > 0:  
			print(data) 

except KeyboardInterrupt:
	GPIO.output(DIR_485,GPIO.HIGH)	# Direction to send
	rs485.write(b"End of program\r\n")
	rs485.close ()
	GPIO.cleanup()
